Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.protocol.data
Class AzureusListener

    java.lang.Object
      lbg.protocol.data.AzureusListener

All Implemented Interfaces:
  org.gudy.azureus2.core3.download.DownloadManagerListener

    public class AzureusListener

extends java.lang.Object
implements org.gudy.azureus2.core3.download.DownloadManagerListener

An all-in singleton listener for Azureus. It will report status on System.out or whatever PrintStream you happen to give him.
This class is intended for debugging.

Author:
  Xavier Dalem

Constructor Summary
`protected` | `AzureusListener()`

Method Summary
`void` | `completionChanged(org.gudy.azureus2.core3.download.DownloadManager manager, boolean bCompleted)`
`void` | `downloadComplete(org.gudy.azureus2.core3.download.DownloadManager manager)`
`void` | `filePriorityChanged(org.gudy.azureus2.core3.download.DownloadManager manager, org.gudy.azureus2.core3.disk.DiskManagerFileInfo file)`
`static AzureusListener` | `getInstance()`
`void` | `positionChanged(org.gudy.azureus2.core3.download.DownloadManager manager, int oldPosition, int newPosition)`
`void` | `reportDownload(org.gudy.azureus2.core3.download.DownloadManager manager)` Reports stats on the download handled by the given manager
`void` | `setPrintStream(java.io.PrintStream out)`
`void` | `stateChanged(org.gudy.azureus2.core3.download.DownloadManager manager, int state)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AzureusListener

    protected AzureusListener()

Method Detail

### getInstance

    public static AzureusListener getInstance()

### setPrintStream

    public void setPrintStream(java.io.PrintStream out)

### reportDownload

    public void reportDownload(org.gudy.azureus2.core3.download.DownloadManager manager)

  Reports stats on the download handled by the given manager

### stateChanged

    public void stateChanged(org.gudy.azureus2.core3.download.DownloadManager manager,
                             int state)

  Specified by:
    `stateChanged` in interface `org.gudy.azureus2.core3.download.DownloadManagerListener`

### downloadComplete

    public void downloadComplete(org.gudy.azureus2.core3.download.DownloadManager manager)

  Specified by:
    `downloadComplete` in interface `org.gudy.azureus2.core3.download.DownloadManagerListener`

### completionChanged

    public void completionChanged(org.gudy.azureus2.core3.download.DownloadManager manager,
                                  boolean bCompleted)

  Specified by:
    `completionChanged` in interface `org.gudy.azureus2.core3.download.DownloadManagerListener`

### positionChanged

    public void positionChanged(org.gudy.azureus2.core3.download.DownloadManager manager,
                                int oldPosition,
                                int newPosition)

  Specified by:
    `positionChanged` in interface `org.gudy.azureus2.core3.download.DownloadManagerListener`

### filePriorityChanged

    public void filePriorityChanged(org.gudy.azureus2.core3.download.DownloadManager manager,
                                    org.gudy.azureus2.core3.disk.DiskManagerFileInfo file)

  Specified by:
    `filePriorityChanged` in interface `org.gudy.azureus2.core3.download.DownloadManagerListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.